| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Fuse
Fuse.Operations

# Method Fuse.Operations()->open()

Method open

  `int open(string path, int mode)`

Description

  Open path . mode is as for the system call open. (mode & O_ACCMODE) is one of O_RDONLY, O_WRONLY and O_RDWR. The mode can also contain other flags, most notably O_APPEND.

Note

  You do not really have to implement this function. It's useful to start prefetch and to cache open files, and check that the user has permission to read/write the file.

Returns

  errno or 0